import request from "@/utils/request";

/**
 * 数据总览查询
 */
export function getStatisticInfo(params) {
  return request.get("/v2/api/data_statistics/info_total", { params });
}

/**
 * 日常抽查总数
 */
export function getStatisticTotal(params) {
  return request.get("/v2/api/index/statistics/job_total", { params });
}

/**
 * 系统反馈总数
 */
export function getStatisticFeedbak(params) {
  return request.get("/v2/api/data_statistics/system_feedbak", { params });
}

/**
 * 场所类型划分
 */
export function getStatisticPlaceType(params) {
  return request.get("/v2/api/index/statistics/job_by_place_type", { params });
}

/**
 * 隐患情况统计
 */
export function getStatisticByItem(params) {
  return request.get("/v2/api/data_statistics/statistic_by_item", { params });
}

/**
 * 专项检查情况
 */
export function getStatisticSpecialInfo(params) {
  return request.get("/v2/api/data_statistics/statistic_special_info", {
    params,
  });
}

/**
 * 模板使用排行
 */
export function getStatisticTemplateInfo(params) {
  return request.get("/v2/api/data_statistics/statistic_template_info", {
    params,
  });
}

/**
 * 检查规则贡献值
 */
export function getStatisticContributeInfo(params) {
  return request.get("/v2/api/data_statistics/statistic_contribute_info", {
    params,
  });
}

/**
 * 检查规则贡献值详情
 */
export function getStatisticContributeDetail(id, params) {
  return request.get(
    `/v2/api/data_statistics/statistic_contribute_info/${id}`,
    {
      params,
    }
  );
}
